"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports["default"] = function () {
    return {
        noColors: true,
        currentFixture: null,

        report: {
            startTime: null,
            endTime: null,
            userAgents: null,
            passed: 0,
            total: 0,
            fixtures: []
        },

        reportTaskStart: function reportTaskStart(startTime, userAgents, testCount) {
            this.report.startTime = startTime;
            this.report.userAgents = userAgents;
            this.report.total = testCount;
        },

        reportFixtureStart: function reportFixtureStart(name, path) {
            this.currentFixture = { name: name, path: path, tests: [] };
            this.report.fixtures.push(this.currentFixture);
        },

        reportTestDone: function reportTestDone(name, errs, durationMs, unstable, screenshotPath) {
            var _this = this;

            errs = errs.map(function (err) {
                return _this.formatError(err);
            });

            this.currentFixture.tests.push({ name: name, errs: errs, durationMs: durationMs, unstable: unstable, screenshotPath: screenshotPath });
        },

        reportTaskDone: function reportTaskDone(endTime, passed) {
            this.report.passed = passed;
            this.report.endTime = endTime;

            this.write(JSON.stringify(this.report, null, 2));
        }
    };
};

module.exports = exports["default"];